%global pypi_name elpy
%global desc %{expand: \
The Emacs Lisp Python Environment.Elpy is a mode for Emacs to support writing
Python code. This package provides the backend within Python to support auto-
completion, documentation extraction, and navigation.Emacs will start the
protocol by running the module itself, like so: python -m elpyThis will emit a
greeting string on a single line, and then wait for the protocol to start.
Details of...}

Name:           python-%{pypi_name}
Version:        1.29.1
Release:        1%{?dist}
Summary:        Backend for the elpy Emacs mode

License:        GPLv3
URL:            https://github.com/jorgenschaefer/elpy
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%{?python_enable_dependency_generator}

BuildRequires: python3-devel
BuildRequires: %{py3_dist nose}
BuildRequires: %{py3_dist flake8} >= 2.0
BuildRequires: %{py3_dist setuptools} 
BuildRequires: bumpversion
BuildRequires: %{py3_dist coverage}
BuildRequires: %{py3_dist mock}
BuildRequires: %{py3_dist twine}
BuildRequires: %{py3_dist wheel}
BuildRequires: %{py3_dist jedi}
BuildRequires: %{py3_dist autopep8}
BuildRequires: %{py3_dist black}
BuildRequires: %{py3_dist rope}
BuildRequires: %{py3_dist yapf}

%description
%{desc}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} ';'

%build
%py3_build

%install
%py3_install

# https://github.com/jorgenschaefer/elpy/issues/1581
# %check
# %{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Apr 17 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.29.1-1
- Fix comments of review

* Thu Mar 21 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.28.0-1
- Initial package.
